package com.cmvr.aima.service;

import java.util.List;
import com.cmvr.aima.domain.AimaTask;
import com.cmvr.aima.domain.AimaTestCase;
import com.cmvr.aima.domain.vo.AimaTaskVo;

/**
 * 爱玛任务管理Service接口
 * 
 * @author cmvr-iot
 * @since 2026-06-22
 */
public interface IAimaTaskService {
    AimaTask selectAimaTaskById(String id);
    List<AimaTask> selectAimaTaskList(AimaTask aimaTask);
    List<AimaTaskVo> selectAimaTaskVoList(AimaTask aimaTask);
    int insertAimaTask(AimaTask aimaTask);
    int updateAimaTask(AimaTask aimaTask);
    int deleteAimaTaskByIds(String[] ids);
    int deleteAimaTaskById(String id);
    
    /**
     * 为任务绑定测试用例
     * 
     * @param taskId 任务ID
     * @param testCaseIds 测试用例ID列表
     */
    void bindTestCases(String taskId, List<String> testCaseIds);
    
    /**
     * 获取任务的测试用例列表
     * 
     * @param taskId 任务ID
     * @return 测试用例ID列表
     */
    List<AimaTestCase> getTestCaseIds(String taskId);
}
